## ----include = FALSE----------------------------------------------------------
library(rchime)
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

## -----------------------------------------------------------------------------
fasta_data <- readRDS(rchime_example("miseq_fasta.rds"))
abundance_data <- readRDS(rchime_example("miseq_abundance.rds"))

strollur <- strollur::new_dataset("rchime reference example")

strollur::add(strollur, table = fasta_data, type = "sequence")
strollur::assign(strollur, table = abundance_data, type = "sequence_abundance")

strollur

## -----------------------------------------------------------------------------
data_df <- readRDS(rchime_example("miseq_data_frame.rds"))

str(data_df)

## -----------------------------------------------------------------------------
reference <- silva_gold()
str(reference)

rchime(strollur, reference = reference)
strollur

data <- rchime(data_df, reference = reference)
data

## -----------------------------------------------------------------------------
chimera_report <- strollur::report(data, type = "chimera_report")

chimera_report[chimera_report$Chimeric_Status == "Y", ] |> head(n = 5)

